package com.unleashedsoftware.sdk.model;

import com.unleashedsoftware.sdk.serialisation.*;
import org.codehaus.jackson.annotate.*;
import org.codehaus.jackson.map.annotate.*;

import java.util.*;

public class ApiWarehouse {
    @JsonProperty("Guid")
    public String id;

    @JsonProperty("WarehouseCode")
    public String code;

    @JsonProperty("WarehouseName")
    public String name;

    @JsonProperty("ContactName")
    public String contactName;

    @JsonProperty("IsDefault")
    public boolean isDefault;

    @JsonProperty("LastModifiedOn")
    @JsonSerialize(using = JsonDateSerialiser.class)
    @JsonDeserialize(using = JsonMicrosoftDateDeserialiser.class)
    public Date lastModifiedOn;
}
