package com.unleashedsoftware.sdk.serialisation;

import com.unleashedsoftware.sdk.model.*;
import org.codehaus.jackson.JsonGenerator;
import org.codehaus.jackson.JsonParser;
import org.codehaus.jackson.JsonProcessingException;
import org.codehaus.jackson.map.*;

import java.io.IOException;

public class JsonApiSalesOrderStatusDeserialiser extends JsonDeserializer<ApiSalesOrderStatus> {
    @Override
    public ApiSalesOrderStatus deserialize(JsonParser jsonParser, DeserializationContext deserializationContext) throws IOException, JsonProcessingException {
        String text = jsonParser.getText();
        if(text == null || text.length() == 0)
            return null;
        return ApiSalesOrderStatus.valueOf(text.toLowerCase());
    }
}