package com.unleashedsoftware.sdk.network;

public abstract class RestClientRequest {
    public String requestUrl;
    public RestClientHeaderCollection headers;
    public int connectionTimeoutInMilliseconds;
    public String requestResult;
    public int requestResultHttpCode;

    public RestClientRequest() {
        headers = new RestClientHeaderCollection();
    }

    public boolean hasError() {
        return (requestResultHttpCode >= 400) ? true : false;
    }
}
